KILL(1)

BEZEICHNUNG
kill - ein Signal an einen oder mehrere Prozesse senden

ÜBERSICHT
kill [-q Wert|--queue Wert] PID ...

kill -Signal [-q Wert|--queue Wert] PID-oder-PGID ...
kill -s Signal [-q Wert|--queue Wert] PID-oder-PGID ...
kill --signal Signal [-q Wert|--queue Wert] PID-oder-PGID ...

kill -l [Signal]
kill --list [Signal]

kill -L
kill --table

BESCHREIBUNG
kill sendet ein Signal an einen oder mehrere Prozesse anhand der PID oder PGID, einen Prozess- oder Prozessgruppenbezeichner. signal(7) erklärt die verschiedenen Signale und deren Wirkungsweise. Das Standardsignal für kill ist TERM. Mit -l oder -L können Sie die verfügbaren Signale auflisten. Im einzelnen sind HUP, INT, KILL, STOP, CONT und 0 nützliche Signale. Signale können nach Nummer oder Name oder nach Namen, dem ein »SIG« vorangestellt ist, angegeben werden. Zum Beispiel sind -9, -SIGKILL oder -KILL gleichbedeutend. Ein negativer Operand wählt eine Prozessgruppe; siehe die Spalte PGID der Ausgabe des Befehls ps(1). Eine Prozesskennung von -1 ist besonders. Sie bezeichnet alle Prozesse außer init(8) und den kill-Prozess selbst.

Die Option -q verwendet eine alternative Signalisierungsmethode, um zusätzlich einen ganzzahligen Wert an den empfangenden Prozess zu übertragen. Falls dieser Prozess einen Handler installiert hat und der SA_SIGINFO-Schalter für sigaction(2) angegeben wurde, dann kann er diese Daten über das si_value-Feld der Struktur siginfo_t beziehen.

OPTIONEN

-Signal
-s Signal
--signal Signal
    sendet ein Signal per Name oder Nummer wie vorstehend beschrieben. Falls das Signal 0 ist (zero), dann sendet kill kein Signal, aber prüft die Operanden des Befehls. Dieses Verhalten erlaubt dem Aufrufenden zu prüfen, ob der oder die angegebene(n) PID(s) und/oder PGID(s) existieren und die nötigen Rechte vorhanden sind, diese Signale zu senden.

-q Wert
--queue Wert
    verwendet sigqueue(3) anstatt kill(2), um zusätzlich diesen Wert an jede PID oder PGID zu senden.

-l [Signal]
--list [Signal]
    listet Signalnamen auf, falls ohne Argument angegeben. Das optionale Argument veranlasst kill, den Namen des angegebenen Signals in dessen numerische Form umzuwandeln oder umgekehrt, und die Umwandlung anzuzeigen.

-L
--table
    listet Signalnamen im Tabellenformat auf.

ANMERKUNGEN
Die Shell (der Befehlszeileninterpreter) verfügt oft über einen eingebauten Kill-Befehl. In diesem Fall müssen Sie den hier beschriebenen Befehl als /bin/kill aufrufen, um den eingebauten Shell-Befehl außer Kraft zu setzen.

Falls Sie einen negativen Operanden verwenden, geben Sie zuerst einen Signalnamen oder eine Signalnummer an, so dass kill dies von einer Prozessgruppe unterscheiden kann. Beispielsweise ist der Befehl “kill 123 -9” zweideutig; er könnte bedeuten, dass entweder der Prozess 123 mit dem Signal 9 oder der Prozess 123 und die Prozessgruppe 9 mit dem Standardsignal abgewürgt werden soll.

BEISPIELE

kill -HUP -1
    Sendet das Hangup-Signal an alle Prozesse, an die Sie senden können.

kill -l 11
    Gibt den Namen aus, der der Signalnummer 11 entspricht.

kill 123 543
    sendet das Standardsignal SIGTERM an die Prozesse 123 und 543.

kill -SIGTERM -123
    sendet das Standardsignal SIGTERM an die Prozessgruppe 123.

SIEHE AUCH
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org.